package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class MenuRecipeBindDTO implements Serializable {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("绑定类型(1-当餐点餐,2-预订餐,3-一周菜谱,4-扫码点餐,5-自助终端,6-自助餐线/小碗菜餐线,7-智慧餐台/消费机,8-点餐机/手持机/平板,9-信息发布屏,10-菜品识别)")
   private @NotNull(
   message = "{menu_bind_type_null}"
) Integer bindType;
   @ApiModelProperty("操作类型(1-发布,2-解绑)")
   private @NotNull(
   message = "{menu_handle_type_null}"
) Integer handleType;
   @ApiModelProperty("餐线id")
   private Long mealLineId;

   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("食堂id")
   private Long canteenId;

   public Long getStallId() {
      return stallId;
   }

   public void setStallId(Long stallId) {
      this.stallId = stallId;
   }

   public Long getCanteenId() {
      return canteenId;
   }

   public void setCanteenId(Long canteenId) {
      this.canteenId = canteenId;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Integer getBindType() {
      return this.bindType;
   }

   public Integer getHandleType() {
      return this.handleType;
   }

   public Long getMealLineId() {
      return this.mealLineId;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setBindType(final Integer bindType) {
      this.bindType = bindType;
   }

   public void setHandleType(final Integer handleType) {
      this.handleType = handleType;
   }

   public void setMealLineId(final Long mealLineId) {
      this.mealLineId = mealLineId;
   }
}
